#! /usr/bin/python
# -*- coding: iso-8859-15 -*- 
# -------------------------------------------------------------
# Bluetooth SCO headset support for eKiga, version 0.1
# (c) 2006 Damien Ciabrini
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
# -------------------------------------------------------------

import dbus, gobject, dbus.glib

ml = gobject.MainLoop()
bus = dbus.SessionBus()
o = bus.get_object('net.ekiga.instance', '/net/ekiga/instance')
i = dbus.Interface(o, 'net.ekiga.calls')

def get_call_info(acc, state):
    if ((state==3) or (state==2)):
	i.Disconnect(acc)
    ml.quit()

i.connect_to_signal('StateChanged', get_call_info)

# needed (python binding quirk ?)
o2 = bus.get_object('net.ekiga.instance', '/net/ekiga/instance')

l=i.GetCallsList()
if len(l)>0:
    i.ResignalCallInfo(l[0])
    ml.run()
else:
    calls = i.GetPlacedCallsHistory(0,1)
    if len(calls)>0:
	i.Connect(calls[0])
